(ns wanijo.attribute.domain
  (:require [wanijo.specs :as specs]
            [clojure.spec.alpha :as spec]))

(def types
  #{"string" "markdown" "file"})
(spec/def ::type types)
(spec/def ::name
  (spec/and ::specs/name (complement empty?)))
(spec/def ::attribute
  (spec/keys ::req-un [::name
                       ::type
                       ::specs/created-at]))
